/*
 * Copyright (c) 2023 codvision.com All Rights Reserved.
 */

package com.codvision.webcore.annotation;

import com.codvision.commoncore.enums.SqlOperator;

import java.lang.annotation.*;

/**
 * 查询条件
 *
 * @author lingee
 * @date 2023/7/20
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface QueryCondition {

    SqlOperator condition() default SqlOperator.EQ;

    String column() default "";

    String property() default "";
}
